Subject: bug#25690: make install-html broken

From: Assaf Gordon <[email-masked]>
Date: Wed, 15 Feb 2017 15:50:04 +0000

Hello Eric and all,

On Mon, Feb 13, 2017 at 11:23:46AM -0600, Eric Blake wrote:
>>> Attempts to do 'make install-html' fail with:
>
>I worked around it while packaging sed for Cygwin by doing:
>
>--- origsrc/sed-4.4/po/Makefile.in.in   2017-02-03 19:15:46.000000000 -0600
>+++ src/sed-4.4/po/Makefile.in.in       2017-02-11 09:30:51.544239400 -0600
>@@ -473,3 +473,5 @@ force:
> # Tell versions [3.59,3.63) of GNU make not to export all variables.
> # Otherwise a system limit (for SysV at least) may be exceeded.
> .NOEXPORT:
>+
>+install-html:
>
>so maybe that argues that the bootstrap process should tweak
>po/Makefile.in.in and/or makevars in such a manner.  I don't know if it
>is a weakness of gettext in general that it's makefiles do not play
>nicely with all of the usual supported targets.

Thanks for the fix.

I think 'po/Makefile.in.in' is not a checked-in file
(it's autogenerated during the bootstrapping process),
so this patch is good for the tarballs, but not for the git
repositories.

I do see that projects the use gnulib with non-recursive makefiles
include gnulib's 'non-recursive-gnulib-prefix-hack' module
and contain this in 'bootstrap.conf':

    bootstrap_post_import_hook ()
    {
        ...
        # Massage lib/gnulib.mk before using it later in the bootstrapping process.
        build-aux/prefix-gnulib-mk --lib-name=$gnulib_name lib/$gnulib_mk
    }

So perhaps that would be a good place to
patch Makefile.in.in as you suggested ?

regards,
 - assaf